NetworkLink (KML Framework API)
Keywords: org.boehn.kmlframework.kml.NetworkLink class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class NetworkLink

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature
              org.boehn.kmlframework.kml.NetworkLink

    public class NetworkLink

extends Feature

Constructor Summary
`NetworkLink()`
`NetworkLink(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData, java.lang.Boolean refreshVisibility, java.lang.Boolean flyToView, Link link)`

Method Summary
`Link` | `getLink()`
`java.lang.Boolean` | `isFlyToView()`
`boolean` | `isRefreshVisibility()`
`void` | `setFlyToView(java.lang.Boolean flyToView)`
`void` | `setLink(Link link)`
`void` | `setRefreshVisibility(boolean refreshVisibility)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Feature
`addStyleSelector, getAbstractView, getAddress, getAtomAuthor, getAtomLink, getDescription, getExtendedData, getName, getPhoneNumber, getRegion, getSnippet, getSnippetMaxLines, getStyleSelectors, getStyleUrl, getTimePrimitive, getXalAddressDeatails, isOpen, isVisible, setAbstractView, setAddress, setAtomAuthor, setAtomLink, setDescription, setExtendedData, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setSnippetMaxLines, setStyleSelectors, setStyleUrl, setTimePrimitive, setVisibility, setXalAddressDeatails, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkLink

    public NetworkLink()

### NetworkLink

    public NetworkLink(java.lang.String name,
                       java.lang.Boolean visibility,
                       java.lang.Boolean open,
                       AtomAuthor atomAuthor,
                       AtomLink atomLink,
                       java.lang.String address,
                       java.lang.String xalAddressDetails,
                       java.lang.String phoneNumber,
                       java.lang.String snippet,
                       java.lang.Integer snippetMaxLines,
                       java.lang.String description,
                       AbstractView abstractView,
                       TimePrimitive timePrimitive,
                       java.lang.String styleUrl,
                       java.util.List<StyleSelector> styleSelectors,
                       Region region,
                       ExtendedData extendedData,
                       java.lang.Boolean refreshVisibility,
                       java.lang.Boolean flyToView,
                       Link link)

Method Detail

### isRefreshVisibility

    public boolean isRefreshVisibility()

### setRefreshVisibility

    public void setRefreshVisibility(boolean refreshVisibility)

### isFlyToView

    public java.lang.Boolean isFlyToView()

### setFlyToView

    public void setFlyToView(java.lang.Boolean flyToView)

### getLink

    public Link getLink()

### setLink

    public void setLink(Link link)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD